Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.wizards.page
Class SelectOrCreateRepositoryPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecp.internal.wizards.page.SelectOrCreateRepositoryPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class SelectOrCreateRepositoryPage

extends org.eclipse.jface.wizard.WizardPage

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`SelectOrCreateRepositoryPage(String pageName)` A WizardPage allowing the user to choose whether to use an existing repository or to create a new one.

Method Summary
`boolean` | `canFlipToNextPage()`
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.jface.wizard.IWizardPage` | `getNextPage()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getImage, getName, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### SelectOrCreateRepositoryPage

    public SelectOrCreateRepositoryPage(String pageName)

  A WizardPage allowing the user to choose whether to use an existing repository or to create a new one.

  Parameters:
    `pageName` - the name of the wizard page, needed due to the `WizardPage` constructor

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### canFlipToNextPage

    public boolean canFlipToNextPage()

  Specified by:
    `canFlipToNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage()

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.WizardPage`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.